# $Revision: 1.2 $, $Date: 2002/05/03 18:04:18 $
Summary:	FastCGI development kit - shared libraries
Summary(pl):	Zestaw dla programistw FastCGI - biblioteki wspdzielone
Name:		fcgi
Version:	2.2.2
Release:	1
License:	distributable
Group:		Libraries
Source0:	http://www.fastcgi.com/dist/%{name}-%{version}.tar.gz
Patch0:		%{name}-no-libs.patch
URL:		http://www.fastcgi.com/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/fastcgi

%description
FastCGI is an open extension to CGI that provides high performance for
all Internet applications without the penalties of Web server APIs.

FastCGI is designed to be layered on top of existing Web server APIs.
For instance, the mod_fastcgi Apache module adds FastCGI support to
the Apache server. FastCGI can also be used, with reduced
functionality and reduced performance, on any Web server that supports
CGI.

This FastCGI Developer's Kit is designed to make developing FastCGI
applications easy. The kit currently supports FastCGI applications
written in C/C++, Perl, Tcl, and Java.

This package contains only shared libraries used by programs developed
using FastCGI Developer's Kit and cgi-fcgi (bridge from CGI to
FastCGI).

%description -l pl
FastCGI to otwarte rozszerzenie CGI dajce wysok wydajno dla
wszystkich aplikacjach internetowych bez obciania API serwera WWW.

FastCGI zosta zaprojektowany "na wierzchu" instniejcych API
serwerw. Na przykad, modu Apache mod_fastcgi dodaje obsug FastCGI
do serwera Apache. FastCGI moe by uywany, ze zmniejszon
funkcjonalnoci i wydajnoci, z dowolnym serwerem obsugujcym CGI.

Zestaw Programisty FastCGI jest tak zaprojektowany, by uczyni atwym
tworzenie aplikacji FastCGI. Aktualnie wspiera tworzenie aplikacji
FastCGI w C/C++, Perlu, Tcl i Javie.

Ten pakiet zawiera tylko biblioteki wspdzielone uywane przez
programy stworzone przy uyciu FastCGI developer's Kit oraz program
cgi-fcgi (bramk pomidzy CGI a FastCGI).

%package devel
Summary:	FastCGI development kit
Summary(pl):	Zestaw dla programistw FastCGI
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	fastcgi-devkit
Provides:	fastcgi-devkit = %{version}

%description devel
This package contains FastCGI Developer's Kit, which is designed to
make developing FastCGI applications easy. The kit currently supports
FastCGI applications written in C/C++, Perl, Tcl, and Java.

%description devel -l pl
Ten pakiet zawiera Zestaw Programisty FastCGI, ktry jest tak
zaprojektowany, by uczyni atwym tworzenie aplikacji FastCGI.
Aktualnie wspiera tworzenie aplikacji FastCGI w C/C++, Perlu, Tcl i
Javie.

%package static
Summary:	FastCGI static library
Summary(pl):	Statyczna biblioteka FastCGI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
FastCGI static library.

%description static -l pl
Statyczna biblioteka FastCGI.

%prep
%setup -q
%patch -p1

%build
autoconf
%configure \
	--with-global \
	--with-nodebug \
	--with-noassert \
	--with-notest

%{__make}

# avoid relinking
cd libfcgi
sed -e '/^relink_command.*/d' libfcgi++.la > libfcgi++.la.tmp
mv -f libfcgi++.la.tmp libfcgi++.la

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/fastcgi

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/{Makefile*,*.c} $RPM_BUILD_ROOT%{_examplesdir}/fastcgi

# note *.[13] files are already formatted to plain text :(
gzip -9nf README LICENSE.TERMS doc/*.[13]

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz doc/*.1.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.htm* doc/*.gif doc/fastcgi-* doc/*.3.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}
%{_examplesdir}/fastcgi

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fcgi.spec,v $
Revision 1.2  2002/05/03 18:04:18  kloczek
- cosmetics.

Revision 1.1  2002/05/03 17:34:15  qboosh
- updated to 2.2.2
- renamed to fastcgi-devkit.spec to fcgi.spec, added -devel and -static
  (now it uses shared library)
- no-libs patch to avoid linking with unnecessary libs
